SUSE: 2022:1567-1 bci/bci-init Security Update | LinuxSecurity.com
SUSE Container Update Advisory: bci/bci-init
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2022:1567-1
Container Tags        : bci/bci-init:15.4 , bci/bci-init:15.4.19.7 , bci/bci-init:latest
Container Release     : 19.7
Severity              : important
Type                  : security
References            : 1197718 1199140 1199232 1200334 1200855 CVE-2022-1586 
-----------------------------------------------------------------

The container bci/bci-init was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:2361-1
Released:    Tue Jul 12 12:05:01 2022
Summary:     Security update for pcre
Type:        security
Severity:    important
References:  1199232,CVE-2022-1586
This update for pcre fixes the following issues:

- CVE-2022-1586: Fixed unicode property matching issue. (bsc#1199232)

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:2406-1
Released:    Fri Jul 15 11:49:01 2022
Summary:     Recommended update for glibc
Type:        recommended
Severity:    moderate
References:  1197718,1199140,1200334,1200855
This update for glibc fixes the following issues:

- powerpc: Fix VSX register number on __strncpy_power9 (bsc#1200334)
- Disable warnings due to deprecated libselinux symbols used by nss and nscd (bsc#1197718)
- i386: Remove broken CAN_USE_REGISTER_ASM_EBP (bsc#1197718)
- rtld: Avoid using up static TLS surplus for optimizations (bsc#1200855, BZ #25051)

This readds the s390 32bit glibc and libcrypt1 libraries (glibc-32bit, glibc-locale-base-32bit, libcrypt1-32bit).


The following package changes have been done:

- glibc-2.31-150300.31.2 updated
- libcrypt1-4.4.15-150300.4.4.3 updated
- libpcre1-8.45-150000.20.13.1 updated
- container:sles15-image-15.0.0-27.8.6 updated

SUSE: 2022:1567-1 bci/bci-init Security Update

July 20, 2022
The container bci/bci-init was updated

Summary

Advisory ID: SUSE-SU-2022:2361-1 Released: Tue Jul 12 12:05:01 2022 Summary: Security update for pcre Type: security Severity: important Advisory ID: SUSE-RU-2022:2406-1 Released: Fri Jul 15 11:49:01 2022 Summary: Recommended update for glibc Type: recommended Severity: moderate

References

References : 1197718 1199140 1199232 1200334 1200855 CVE-2022-1586

1199232,CVE-2022-1586

This update for pcre fixes the following issues:

- CVE-2022-1586: Fixed unicode property matching issue. (bsc#1199232)

1197718,1199140,1200334,1200855

This update for glibc fixes the following issues:

- powerpc: Fix VSX register number on __strncpy_power9 (bsc#1200334)

- Disable warnings due to deprecated libselinux symbols used by nss and nscd (bsc#1197718)

- i386: Remove broken CAN_USE_REGISTER_ASM_EBP (bsc#1197718)

- rtld: Avoid using up static TLS surplus for optimizations (bsc#1200855, BZ #25051)

This readds the s390 32bit glibc and libcrypt1 libraries (glibc-32bit, glibc-locale-base-32bit, libcrypt1-32bit).

The following package changes have been done:

- glibc-2.31-150300.31.2 updated

- libcrypt1-4.4.15-150300.4.4.3 updated

- libpcre1-8.45-150000.20.13.1 updated

- container:sles15-image-15.0.0-27.8.6 updated

Severity
Container Advisory ID : SUSE-CU-2022:1567-1
Container Tags : bci/bci-init:15.4 , bci/bci-init:15.4.19.7 , bci/bci-init:latest
Container Release : 19.7
Severity : important
Type : security

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.